package com.goldenwater.slgc.service.impl.pms;

import com.goldenwater.slgc.entity.pms.PmsReport;
import com.goldenwater.slgc.mapper.pms.PmsReportMapper;
import com.goldenwater.slgc.service.pms.IPmsReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;

@Service
@Transactional
public class PmsReportServiceImpl implements IPmsReportService {
    @Autowired
    private PmsReportMapper pmsReportMapper;

    /**
     * 查询报告列表
     */
    @Override
    public List<PmsReport> selectList(PmsReport report) {
        return pmsReportMapper.selectList(report);
    }

    /**
     * 根据主键查询报告
     */
    @Override
    public PmsReport selectById(Long id) {
        return pmsReportMapper.selectById(id);
    }

    /**
     * 新增报告
     */
    @Override
    public int insert(PmsReport report) {
        return pmsReportMapper.insert(report);
    }

    /**
     * 修改报告
     */
    @Override
    public int update(PmsReport report) {
        return pmsReportMapper.update(report);
    }

    /**
     * 删除报告
     */
    @Override
    public int deleteById(Long id) {
        return pmsReportMapper.deleteById(id);
    }

    /**
     * 批量删除报告
     */
    @Override
    public int deleteByIds(Long[] ids) {
        return pmsReportMapper.deleteByIds(ids);
    }
}
